Issue 128449 - Document with more than 40 bookmarks crashes after closing Navigator
Summary: Document with more than 40 bookmarks crashes after closing Navigator
Status: CONFIRMED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 4.1.0
Hardware: PC Linux, all
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords: crash
Depends on:
Blocks:
 
Reported: 2021-04-21 22:27 UTC by billp
Modified: 2021-05-23 22:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.10
Developer Difficulty: ---


Attachments
Document with 41 bookmarks (17.33 KB, application/vnd.oasis.opendocument.text)
2021-04-21 22:27 UTC, billp
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description billp 2021-04-21 22:27:10 UTC
Created attachment 87023 [details]
Document with 41 bookmarks

Open a document with 41 or more bookmarks with Writer. Open the Navigator and double-click one of the bookmarks. Close the Navigator. 

The Navigator should close and the insertion point should be at the selected bookmark location. This does happen when using Xubuntu or Kubuntu. However, when using Ubuntu, Ubuntu Budgie or Ubuntu Mate, Writer crashes and document recovery begins.

While this was first noticed on AOO 4.1.9, I went back as far a AOO 4.0.0 to see if the problem was the same in older versions. The crash did not occur using AOO 4.0.0 or 4.0.1, but did occur starting with AOO 4.1.0.
Comment 1 Matthias Seidel 2021-04-21 23:04:57 UTC
Confirmed on Ubuntu 16.04 with AOO 4.1.9.

This happens when the Navigator is invoked via Menu, toolbar icon or Ctrl+F5.
However, when using the Navigator in the sidebar the crash does not occur.
Comment 2 Matthias Seidel 2021-04-21 23:11:39 UTC
Addition:

When the sidebar itself is closed (View - Sidebar) after selecting a bookmark, the crash also occurs.
Comment 3 billp 2021-04-22 02:25:51 UTC
Even if the Navigator or Sidebar are left open after double-clicking one of the bookmarks, the crash still occurs when the document is closed.
Comment 4 Matthias Seidel 2021-04-22 07:56:30 UTC
(In reply to billp from comment #3)
> Even if the Navigator or Sidebar are left open after double-clicking one of
> the bookmarks, the crash still occurs when the document is closed.

Confirmed.